/* various interrupt controller information */
#define INTC0_VECT_MIN 64
#define INTC0_VECT_MAX 127
#define INTC1_VECT_MIN 136
#define INTC1_VECT_MAX 154
#define IRQ_LEVEL_MAX 0x3f
#define IRQ_LEVEL_DFLT 0x1d

/* various interrupt flag */
#define COMPLETION_FLAG 0x01
#define ABORT_FLAG 0x04
#define WRITE_COLLISION_FLAG 0x08

struct irq_info
{
        unsigned int vector;
        unsigned char name[30];
        unsigned char level; /* level and priority requested */
        void (*handler)(int, void *, struct pt_regs *);
        void *dev_id;
};

int enable_interrupt_vector (struct irq_info *);
int disable_interrupt_vector (struct irq_info *);
